Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(67)

Issue 2052613003: Speculatively launch Service Workers on mouse/touch events. [3/5] (Closed)

Created:
3 years, 2 months ago by horo
Modified:
3 years, 1 month ago
CC:
asvitkine+watch_chromium.org, blink-reviews, blink-reviews-api_chromium.org, blink-reviews-html_chromium.org, blink-worker-reviews_chromium.org, chromium-reviews, darin-cc_chromium.org, dglazkov+blink, horo+watch_chromium.org, jam, jsbell+serviceworker_chromium.org, kinuko+serviceworker, kinuko+watch, michaeln, nhiroki, serviceworker-reviews, tzik
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Speculatively launch Service Workers on mouse/touch events. [3/5] 1/5: Introduce NavigationHintSender. https://codereview.chromium.org/2043863003/ 2/5: Pipe NavigationHints from NavigationHintSender to ChromeRenderMessageFilter https://codereview.chromium.org/2043083002/ 3/5: Call StartServiceWorkerForNavigationHint() from ChromeRenderMessageFilter This CL. 4/5: Measure the precision of the speculative launch of Service Workers for NavigationHints https://codereview.chromium.org/2045153003/ 5/5: Add flags to enable SupeculativeLaunchServiceWorker https://codereview.chromium.org/2053573002/ When ChromeRenderMessageFilter receives NavigationHint IPC message, it calls ServiceWorkerContextWrapper::StartServiceWorkerForNavigationHint(). ServiceWorkerContextWrapper will try to start a Service Worker for the document which is linked from the anchor element. This CL depends on https://codereview.chromium.org/2181553003/ BUG=616502 Committed: https://crrev.com/2cba6671596841c77457423e70e9d12070425dd1 Committed: https://crrev.com/56f30b7653eff769a4d39d92f8131f5e9f72f0c6 Cr-Original-Commit-Position: refs/heads/master@{#407695} Cr-Commit-Position: refs/heads/master@{#407775}

Patch Set 1 : with https://codereview.chromium.org/2043083002/#ps420001 #

Patch Set 2 : diff from https://codereview.chromium.org/2043083002/#ps420001 #

Patch Set 3 : use OverrideThreadForMessage to call StartServiceWorkerForNavigationHinton UI thread #

Total comments: 23

Patch Set 4 : incorporated nhiroki's comment (depends on https://codereview.chromium.org/2181553003/) #

Patch Set 5 : remove unnecessary includes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+193 lines, -7 lines) Patch
M chrome/browser/chrome_content_browser_client.cc View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/renderer_host/chrome_render_message_filter.h View 1 3 chunks +11 lines, -1 line 0 comments Download
M chrome/browser/renderer_host/chrome_render_message_filter.cc View 1 2 3 4 4 chunks +16 lines, -5 lines 0 comments Download
M content/browser/DEPS View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/service_worker/service_worker_context_wrapper.h View 1 2 3 4 3 chunks +26 lines, -0 lines 0 comments Download
M content/browser/service_worker/service_worker_context_wrapper.cc View 1 2 3 4 4 chunks +96 lines, -0 lines 0 comments Download
M content/browser/service_worker/service_worker_metrics.h View 1 chunk +3 lines, -0 lines 0 comments Download
M content/browser/service_worker/service_worker_metrics.cc View 1 2 3 3 chunks +16 lines, -0 lines 0 comments Download
M content/public/browser/service_worker_context.h View 1 2 3 2 chunks +16 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 1 chunk +6 lines, -0 lines 0 comments Download

Messages

Total messages: 59 (45 generated)
horo
nhiroki@ Could you please review this CL?
3 years, 1 month ago (2016-07-25 04:16:55 UTC) #32
nhiroki
https://codereview.chromium.org/2052613003/diff/300001/chrome/browser/renderer_host/chrome_render_message_filter.cc File chrome/browser/renderer_host/chrome_render_message_filter.cc (right): https://codereview.chromium.org/2052613003/diff/300001/chrome/browser/renderer_host/chrome_render_message_filter.cc#newcode13 chrome/browser/renderer_host/chrome_render_message_filter.cc:13: #include "base/feature_list.h" Are this and other header inclusions added ...
3 years, 1 month ago (2016-07-25 06:15:14 UTC) #35
horo
Thank you https://codereview.chromium.org/2052613003/diff/300001/chrome/browser/renderer_host/chrome_render_message_filter.cc File chrome/browser/renderer_host/chrome_render_message_filter.cc (right): https://codereview.chromium.org/2052613003/diff/300001/chrome/browser/renderer_host/chrome_render_message_filter.cc#newcode13 chrome/browser/renderer_host/chrome_render_message_filter.cc:13: #include "base/feature_list.h" On 2016/07/25 06:15:13, nhiroki (slow) ...
3 years, 1 month ago (2016-07-25 08:24:27 UTC) #36
nhiroki
lgtm with a minor comment https://codereview.chromium.org/2052613003/diff/300001/chrome/browser/renderer_host/chrome_render_message_filter.cc File chrome/browser/renderer_host/chrome_render_message_filter.cc (right): https://codereview.chromium.org/2052613003/diff/300001/chrome/browser/renderer_host/chrome_render_message_filter.cc#newcode13 chrome/browser/renderer_host/chrome_render_message_filter.cc:13: #include "base/feature_list.h" On 2016/07/25 ...
3 years, 1 month ago (2016-07-25 09:26:45 UTC) #37
horo
jochen@ Please review chrome/browser/renderer_host/chrome_render_message_filter.* and content/public/browser/service_worker_context.h.
3 years, 1 month ago (2016-07-25 12:20:43 UTC) #40
jochen (gone - plz use gerrit)
lgtm
3 years, 1 month ago (2016-07-25 16:24:06 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2052613003/340001
3 years, 1 month ago (2016-07-25 23:08:06 UTC) #44
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/249920)
3 years, 1 month ago (2016-07-26 00:24:01 UTC) #46
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2052613003/340001
3 years, 1 month ago (2016-07-26 01:46:27 UTC) #48
commit-bot: I haz the power
Committed patchset #5 (id:340001)
3 years, 1 month ago (2016-07-26 03:10:02 UTC) #50
commit-bot: I haz the power
Patchset 5 (id:??) landed as https://crrev.com/2cba6671596841c77457423e70e9d12070425dd1 Cr-Commit-Position: refs/heads/master@{#407695}
3 years, 1 month ago (2016-07-26 03:12:13 UTC) #52
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2052613003/340001
3 years, 1 month ago (2016-07-26 12:08:47 UTC) #55
commit-bot: I haz the power
Committed patchset #5 (id:340001)
3 years, 1 month ago (2016-07-26 12:12:25 UTC) #57
commit-bot: I haz the power
3 years, 1 month ago (2016-07-26 12:14:45 UTC) #59
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/56f30b7653eff769a4d39d92f8131f5e9f72f0c6
Cr-Commit-Position: refs/heads/master@{#407775}

Powered by Google App Engine
This is Rietveld 408576698